// Trace functions for module entry/exit, section-2
//
// Author: J. van Wijk
//
// JvW  20-08-2005   Split-off from txtrace

#define DUMP 1                                  // tracecode always available

#include <txlib.h>
#include <txtpriv.h>


/*****************************************************************************/
// Set timestamping on tracelines on or off
/*****************************************************************************/
void TxTraceSetStamp
(
   BOOL                stamp                    // IN    timestampming on
)
{
   TxTrTstamp = stamp;
}                                               // end 'TxTraceSetStamp'
/*---------------------------------------------------------------------------*/


/*****************************************************************************/
// Handle double floating-point return of a routine
/*****************************************************************************/
void TxTraceRetDouble
(
   char              *mod,                      // IN    module/function name
   double             rc                        // IN    return value
)
{
   if (TxTrIndent[TXTHREADID])
   {
      TxTrIndent[TXTHREADID]--;
   }
   TxTraceLeader();
   TxPrint( "%sRet%s:%s%8.2lf %s%s%s\n", CNM, CNN, CBG, rc,
                                         CNC, mod, CNN);
}                                               // end 'TxTraceRetDouble'
/*---------------------------------------------------------------------------*/

