// TXTest version and name definitions
//
// Author: J. van Wijk
//
#ifndef    TXTVER_H
   #define TXTVER_H

#define TXT_REG_NAME   "TXTest"    // product name used in registration

#define TXT_INTROD     20030707L  // introduction date
#define TXT_EXPIRE           33L  // 33 days until expiration for unregistred
#define TXT_COMPILE    __DATE__   // compile date, as base for _EXPIRE

#define TXT_V   "3.07 29-09-2005" // Minor updates for Open TxWindows 1.0
//efine TXT_V   "3.06 24-06-2005" // Fixed getch() hang for OS2, use kbhit()
//efine TXT_V   "3.05 14-06-2005" // Updated for mouse tests
//efine TXT_V   "3.04 24-01-2005" // Updated to test TXWIDGETS and dialog
//efine TXT_V   "3.03 22-04-2004" // Updated to use new window colorschemes
//efine TXT_V   "3.02 11-04-2004" // Working OpenFile/SaveAs dialogs on Linux
//efine TXT_V   "3.01 24-03-2004" // Added CBOXES, CHARSET and COLORS to menu
//efine TXT_V   "3.00 12-03-2004" // Added Linux project naming
//efine TXT_V   "2.03 23-08-2003" // Added accelerator keys and menu-help
//efine TXT_V   "2.02 17-08-2003" // Added mainmenu with MenuBar
//efine TXT_V   "2.01 20-07-2003" // Added first list test stuff
//efine TXT_V   "2.00 08-07-2003" // Initial TXTest specific version

#if   defined (WIN32)
   #if defined (__WATCOMC__)
      #define TXT_N "TXTst wNT"
      #define TXT_X "TXTWIN"
   #else
      #define TXT_N "TXTst-wNT"
      #define TXT_X "TXTNT"
   #endif
#elif defined (DOS32)
   #define TXT_N "TXTst Dos"
   #define TXT_X "TXTDOS"
#elif defined (LINUX)
   #define TXT_N "TXT Linux"
   #define TXT_X "TXTLIN"
#else
   #if defined (__WATCOMC__)
      #define TXT_N "TXTst OS2"
      #define TXT_X "TXTOS2"
   #else
      #define TXT_N "TXTst-OS2"
      #define TXT_X "TXT"
   #endif
#endif
#define TXT_C "(c) 2000-2005: Jan van Wijk"

#endif
